apiVersion: kustomize.toolkit.fluxcd.io/v1beta1
kind: Kustomization
metadata:
  name: podinfo-prod
  namespace: flux-system
spec:
  suspend: false
  interval: 10m0s
  path: podinfo-prod
  prune: true
  sourceRef:
    kind: GitRepository
    namespace: flux-system
    name: podinfo-prod
  validation: client
---
apiVersion: source.toolkit.fluxcd.io/v1beta1
kind: GitRepository
metadata:
  name: podinfo-prod
  namespace: flux-system
spec:
  interval: 5m
  include:
    - repository:
        name: podinfo-base-prod
      fromPath: podinfo/base
      toPath: base
  ref:
    branch: gke
  url: ssh://git@gitlab.com/davinkevin.fr/articles/flux-and-kustomize-remote-base/clusters
  secretRef:
    name: flux-system
---
apiVersion: source.toolkit.fluxcd.io/v1beta1
kind: GitRepository
metadata:
  name: podinfo-base-prod
  namespace: flux-system
spec:
  interval: 5m
  ref:
    tag: podinfo-1.0
  url: ssh://git@gitlab.com/davinkevin.fr/articles/flux-and-kustomize-remote-base/bases
  secretRef:
    name: flux-system
---
apiVersion: v1
kind: Namespace
metadata:
  name: podinfo-prod
